/**
 * Based on examples in
 *     Head First Object-Oriented Analysis and Design
 *     by Brett D. McLaughlin, Gary Pollice, and David West
 *     O'Reilly, 2007
 *     ISBN 978-0-596-00867-3
 *
 * Ported from Java by
 *     Ronald Mak
 *     Department of Computer Engineering
 *     San Jose State University
 *     San Jose, CA  95192
 */
#ifndef GUITARSPEC_H_
#define GUITARSPEC_H_

#include <string>
#include "InstrumentSpec.h"
#include "Builder.h"
#include "Type.h"
#include "Wood.h"

using namespace std;

class GuitarSpec : public InstrumentSpec
{
public:
    GuitarSpec(Builder builder, string model, Type type,
               int string_count, Wood back_wood, Wood top_wood)
        : InstrumentSpec(builder, model, type, back_wood, top_wood),
          string_count(string_count)
    {}

    int get_string_count() const { return string_count; }

    bool matches(InstrumentSpec *other_spec);

private:
    int string_count;
};

#endif /* GUITARSPEC_H_ */
