/**
 * Based on examples in
 *     Head First Object-Oriented Analysis and Design
 *     by Brett D. McLaughlin, Gary Pollice, and David West
 *     O'Reilly, 2007
 *     ISBN 978-0-596-00867-3
 *
 * Ported from Java by
 *     Ronald Mak
 *     Department of Computer Engineering
 *     San Jose State University
 *     San Jose, CA  95192
 */
#ifndef INVENTORY_H_
#define INVENTORY_H_

#include <vector>
#include "Instrument.h"
#include "Guitar.h"
#include "GuitarSpec.h"
#include "Mandolin.h"
#include "MandolinSpec.h"
#include "Builder.h"
#include "Type.h"
#include "Wood.h"

using namespace std;

class Inventory
{
public:
    Inventory() {}

    void add_instrument(string serial_number, double price,
                        InstrumentSpec *spec);

    Instrument *get(string serial_number);

    vector<Guitar *>   search(GuitarSpec   *search_spec);
    vector<Mandolin *> search(MandolinSpec *search_spec);

private:
    vector<Instrument *> inventory;
};

#endif /* INVENTORY_H_ */
