/**
 * Based on examples in
 *     Head First Object-Oriented Analysis and Design
 *     by Brett D. McLaughlin, Gary Pollice, and David West
 *     O'Reilly, 2007
 *     ISBN 978-0-596-00867-3
 *
 * Ported from Java by
 *     Ronald Mak
 *     Department of Computer Engineering
 *     San Jose State University
 *     San Jose, CA  95192
 */
#ifndef TYPE_H_
#define TYPE_H_

#include <iostream>
using namespace std;

enum class Type
{
    ACOUSTIC, ELECTRIC
};

inline ostream& operator <<(ostream& ostr, const Type type)
{
    switch (type)
    {
        case Type::ACOUSTIC: ostr << "acoustic"; break;
        case Type::ELECTRIC: ostr << "electric"; break;
        default:             ostr << "unspecified";
    }
    return ostr;
}

#endif /* TYPE_H_ */
